package Go;
// implementation class for a "list of groups";
//for porting sake this is general;
//can be implemented as Vector, Linked list, or whatever
// it's important not to have duplicates in this list!

import java.util.*;

public class ListOfGroups {
   private Vector hiddenList;

   public ListOfGroups() {
     hiddenList = new Vector();
   }

   ListOfGroups(Vector groupsList) {
     this.hiddenList = groupsList;
   }

   public synchronized Object clone() {
     return new ListOfGroups((Vector)(hiddenList.clone()));
   }

   //check if an Object is already in the list
   public boolean contain(Group groupToSearch) {
      return hiddenList.contains(groupToSearch);
   }

   // add an element to the  end of the list
   public void add(Group toAdd) {
     if (!hiddenList.contains(toAdd))	      
       hiddenList.addElement(toAdd);
   }

   // get the number of elements in the list
   public int length() {
      return hiddenList.size();
   }

   //get the first element
   public Group first() {
      return (Group)hiddenList.firstElement();
   }

   // get the element in the list at the given position 
   public Group getElementAt(int index) {
      return (Group)hiddenList.elementAt(index);
   }

   // delete the element in the list at the given position 
   public void deleteElementAt(int index) {
      hiddenList.removeElementAt(index);
   }
   
   // delete the given element in the list 
   public void deleteElement(Group groupToDelete) {
      hiddenList.removeElement(groupToDelete);
   }

   // get all the elements in the list
   public Enumeration getElements() {
      return hiddenList.elements();
   }
   
   public String toString() {
     return hiddenList.toString();
   }
}