package Go;

import java.awt.Graphics;
import Go.Move;

// this is an interface for a device that enables a HumanGoPlayer or an external player in
// general to choose a move in a Go game
public interface MoveInputDevice {
  public abstract void fireMoveAttempt(Move move);
  public abstract void displayMove(int x, int y, int color, Graphics g);
} 