package Go;

/* GoGameEvent represents an event occured in a game of Go */
public class GoGameEvent extends java.util.EventObject{

  public GoGameEvent(Object source, GoPosition oldPosition, GoPosition newPosition) {
    super(source);

    this.oldPosition = oldPosition;
    this.newPosition = newPosition;
  }

  public boolean getIsGameOver() {return isGameOver;}

  public void setIsGameOver(boolean value) { isGameOver = value;}

  public GoPosition getOldPosition() {return oldPosition;}

  public void setOldPosition(GoPosition value) {oldPosition = value;}

  public GoPosition getNewPosition() {return newPosition;}

  public void setNewPosition(GoPosition value) {newPosition = value;}

  private boolean isGameOver;
  private GoPosition oldPosition;
  private GoPosition newPosition;
}