package Go.strategy;

import Go.GoPosition;
import Go.Move;

// Just an interface to model a Go strategy

public interface GoStrategy {
  // INPUT: a Go position
  // OUTPUT: the move in the given position, choosed according to the strategy 
  public abstract Move chooseNextMove(GoPosition position);
}
